#ifndef _juego_
#define _juego_

#include <iostream>
#include <time.h>
#include "opciones.h";
#include "puntuacion.h";
using namespace std;


class Juego {
private:
	Opciones opciones;
public:
	Puntuacion puntos;
	time_t tInicio;
	time_t tActual;
	int tiempo;
	int n, ope1, n2, ope2, n3, sol, juego, nivel;
	int numOperaciones;
	int aciertosNivel, cambioNivel;


public:
Juego();
void jugar();
bool isFin();
int getTiempo();
int random(int min, int max);
void setOperacion(int nivel);
bool isCorrecto(int res);
void mostrarMensaje(bool tipo);
int getResultado();
void mostrarOperacion();
void cambiarPosicion();
void cambiarNivel();
void actualizarNivel(bool tipo);
void setOpciones(Opciones partida);
void comprobarDesbloqueo();
Opciones getOpciones();
};


#endif
