#include <iostream>
#include <fstream>
#include <stdlib.h>
#include <string>
#include "opciones.h"
using namespace std;

Opciones::Opciones(){
	valoresPorDefecto();
}

void Opciones::valoresPorDefecto(){
	juego=0;
	torneo=0;
	tipo=0;
	tiempo=60;
	numOperaciones=20;
	repetir=0;
	cambiarNivel=2;
	minNivel=1;
	maxNivel=5;
	torneoDesbloqueado=1;
}

void Opciones::setSonido(){
	sonido=!sonido;
}

void Opciones::setRepetir(){
	repetir=!repetir;
}

void Opciones::setTiempo(){
	cout << "     Introduzca el tiempo en segundos: ";
	cin >> tiempo;
}

int Opciones::getTiempo(){
	return tiempo;
}

bool Opciones::isSonido(){
	return sonido;
}

bool Opciones::isRepetir(){
	return repetir;
}

int Opciones::getMinNivel(){
	return minNivel;
}

int Opciones::getMaxNivel(){
	return maxNivel;
}

void Opciones::setMinNivel(){
	int min;
	cout << "     Introduce el nivel mínimo <1-" << maxNivel << ">: ";
	cin >> min;
	if(min>=1 && min<=maxNivel)
	minNivel=min;
}

void Opciones::setMaxNivel(){
	int max;
	cout << "     Introduce el nivel máximo <" << minNivel << "-5>: ";
	cin >> max;
	if(max>=minNivel && max<=5)
	maxNivel=max;
}

void Opciones::setMinNivel(int nivel){
	if(nivel>=1 && nivel<=5)
	minNivel=nivel;
}

void Opciones::setMaxNivel(int nivel){
	if(nivel>=1 && nivel<=5)
	maxNivel=nivel;
}

int Opciones::getAciertosNivel(){
	return cambiarNivel;
}

void Opciones::setAciertosNivel(){
	cout << "     Número de aciertos para pasar de nivel: ";
	cin >> cambiarNivel;
}

void Opciones::setAciertosNivel(int aciertos){
	cambiarNivel=aciertos;
}

bool Opciones::isTipo(){
	return tipo;
}

void Opciones::setTipo(){
	tipo=!tipo;
}

void Opciones::setTipo(bool tipo){
	this->tipo=tipo;
}


void Opciones::setNumOperaciones(){
	cout << "     Introduce el numero de operaciones: ";
	cin >> numOperaciones;
}

int Opciones::getNumOperaciones(){
	return numOperaciones;
}

void Opciones::setTorneo(int torneo){
	this->torneo=torneo;
}

void Opciones::setJuego(int juego){
	this->juego=juego;
}

bool Opciones::isJuego(int juego){
	bool sol=false;
	if(this->juego==juego)
		sol=true;
	return sol;
}

bool Opciones::isDesbloqueado(int nivel){
	bool sol=false;
	if(nivel<=torneoDesbloqueado)
		sol=true;
	return sol;
}

void Opciones::desbloquearNivel(int nivel){
	torneoDesbloqueado=nivel;
}

int Opciones::getTorneo(){
	return torneo;
}
